Subject: [SIP] Branch ID

From: Baniel Uri-CUB001 <[email-masked]>
Date: Sun, 13 May 2001 06:09:25 -0500

1. Is it true that with or without regard to branch IDs, a forking proxy
needs to keep a list of network addresses of forked destinations, so it
knows where to send consecutive requests such as Cancel or ACK to?
2. If the answer to (1) is YES, then is it true that the Branch ID is just
an elegant (application layer) way to refer to the branches, i.e., if it was
not there a forking proxy would have still known to tell one branch from
another by their network addresses?
3. I am not suggesting there is any redundancy here, I just like to make
sure I got it right. 

Uri

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.